[Forgot Password]
Login  Register Subscribe

23631

 
 

115083

 
 

97147

 
 

909

 
 

78730

 
 

109

Paid content will be excluded from the download.


Download | Alert*
OVAL

Denial of service vulnerability in OpenSSL by leveraging unexpected malloc behavior

ID: oval:org.secpod.oval:def:35814Date: (C)2016-06-24   (M)2017-11-03
Class: VULNERABILITYFamily: windows




The host is installed with OpenSSL 1.0.1 through 1.0.1t or 1.0.2 through 1.0.2h and is prone to a denial of service vulnerability. A flaw is present in the application, which fails to properly use pointer arithmetic for heap-buffer boundary checks. Successful exploitation allows remote attackers to cause a denial of service (integer overflow and application crash) or possibly have unspecified other impact by leveraging unexpected malloc behavior.

Platform:
Microsoft Windows 7
Microsoft Windows Server 2003
Microsoft Windows Server 2008
Microsoft Windows Vista
Microsoft Windows XP
Microsoft Windows 8
Microsoft Windows 8.1
Microsoft Windows Server 2012 R2
Microsoft Windows Server 2008 R2
Microsoft Windows Server 2012
Microsoft Windows 10
Product:
OpenSSL
Reference:
CVE-2016-2177
CVE    1
CVE-2016-2177
CPE    36
cpe:/a:openssl:openssl:1.0.2::x64
cpe:/a:openssl:openssl:::x64
cpe:/a:openssl:openssl:::x86
cpe:/a:openssl:openssl:1.0.2::x86
...

© 2013 SecPod Technologies